wxGTK, vlc, audacity et tutti quanti

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

wxGTK, vlc, audacity et tutti quanti

Cyrille Damez
Bonjour,

Je n'arrive pas a faire cohabiter audacity et vlc sur la même bécane sous
Gentoo. Mon problème est que le premier exige une version de wxGTK compilé
avec USE = -unicode, et le second impose le choix contraire. Est-t'il
possible de faire cohabiter 2 versions d'une même lib compilée avec des USE
différents ?

Bye  

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: wxGTK, vlc, audacity et tutti quanti

Bugzilla from bique.alexandre@gmail.com
Oui c'est possible ! Mais bon pas forcement avec portage :(
J'ai deux idees,
1) changer de logiciel, parce que unicode c'est bien ;)
2) compiler wxwidget et audacity a la main ou faire des trucs bizzares mais
bon c'est galere pour les mises a jour.

Sinon tu peux essayer la beta de la 1.3 qui devrait supporter unicode et au
moins etre en wxgtk ( pratique ) ->
http://audacity.sourceforge.net/download/beta_source

Je sais que je reponds pas vraiment a ta question, mais bon ca risque d'etre
galere :(

Bon courrage !!!

Le Mercredi 31 Mai 2006 18:35, Cyrille Damez a écrit :
> Bonjour,
>
> Je n'arrive pas a faire cohabiter audacity et vlc sur la même bécane sous
> Gentoo. Mon problème est que le premier exige une version de wxGTK compilé
> avec USE = -unicode, et le second impose le choix contraire. Est-t'il
> possible de faire cohabiter 2 versions d'une même lib compilée avec des USE
> différents ?
>
> Bye

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: wxGTK, vlc, audacity et tutti quanti

Jacques Montier
In reply to this post by Cyrille Damez
Cyrille Damez a gentiment tapote:

> Bonjour,
>
> Je n'arrive pas a faire cohabiter audacity et vlc sur la même bécane sous
> Gentoo. Mon problème est que le premier exige une version de wxGTK compilé
> avec USE = -unicode, et le second impose le choix contraire. Est-t'il
> possible de faire cohabiter 2 versions d'une même lib compilée avec des USE
> différents ?
>
> Bye  
>
>  
Tiens, t'aurais- pas eu ce scmilililibilick ??

--- Jacques --

       
                          ^
                      ^^^
                  ^^^^^
                    (  0   0  )
                         \/
      -----0000----------0000-----
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: wxGTK, vlc, audacity et tutti quanti

cal-6
In reply to this post by Cyrille Damez
Le Mer 31 Mai 2006 18:35, Cyrille Damez a écrit :

> Je n'arrive pas a faire cohabiter audacity et vlc sur la même bécane sous
> Gentoo. Mon problème est que le premier exige une version de wxGTK compilé
> avec USE = -unicode, et le second impose le choix contraire. Est-t'il
> possible de faire cohabiter 2 versions d'une même lib compilée avec des USE
> différents ?

Je ne crois pas. Mais tu peux toujours désactiver le USE flag wxwindows de vlc
dans /etc/portage/package.use
Comme ça tu remplis les conditions pour audacity et tu as vlc sans le support
wxwindows, c'est un moindre mal.

--
cal
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: wxGTK, vlc, audacity et tutti quanti

Bugzilla from bique.alexandre@gmail.com
Le Mercredi 31 Mai 2006 19:34, cal a écrit :

> Je ne crois pas. Mais tu peux toujours désactiver le USE flag wxwindows de
> vlc dans /etc/portage/package.use
> Comme ça tu remplis les conditions pour audacity et tu as vlc sans le
> support wxwindows, c'est un moindre mal.

Au passage compile en static aussi non ?

--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: wxGTK, vlc, audacity et tutti quanti

Antoine Van-Elstraete-2
In reply to this post by Cyrille Damez
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Cyrille Damez wrote:
> Bonjour,
>
> Je n'arrive pas a faire cohabiter audacity et vlc sur la même bécane sous
> Gentoo. Mon problème est que le premier exige une version de wxGTK compilé
> avec USE = -unicode, et le second impose le choix contraire. Est-t'il
> possible de faire cohabiter 2 versions d'une même lib compilée avec des USE
> différents ?

J'ai les deux logiciels qui fonctionnent très bien avec :

* x11-libs/wxGTK-2.4.2-r4
   Install date: Tue Mar 28 14:16:18 2006
   USE="gtk2 opengl unicode -debug -wxgtk1 -odbc"
   CFLAGS="-march=k8 -mtune=k8 -mfpmath=sse -pipe -O2 -fomit-frame-pointer"

* x11-libs/wxGTK-2.6.3.2
   Install date: Wed Apr 26 10:56:14 2006
   USE="gnome joystick opengl sdl X -odbc"
   CFLAGS="-march=k8 -mtune=k8 -mfpmath=sse -pipe -O2
- -fomit-frame-pointer -fno-strict-aliasing"

Et :

* media-video/vlc-0.8.5
   Install date: Tue May 30 12:31:27 2006
   USE=""
   CFLAGS="-march=k8 -mtune=k8 -mfpmath=sse -pipe -O2 -fomit-frame-pointer"

* media-sound/audacity-1.2.4b-r1
   Install date: Tue Mar 28 14:27:18 2006
   USE="encode mad vorbis"
   CFLAGS="-march=k8 -mtune=k8 -mfpmath=sse -pipe -O2 -fomit-frame-pointer"

J'espere que ça peut aider :)

- --
Antoine Van-Elstraete  || Jabber : [hidden email]
http://bluecat.homelinux.net
(+33)(0)6 76 57 30 87
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFEfd7D/OFScBP7tMERAkDSAJwLopah+D6qbuDaOtD36f1Go/tuLQCcCQlD
o+oCqLDf8BPir7CX06DDQbE=
=XVJS
-----END PGP SIGNATURE-----
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: wxGTK, vlc, audacity et tutti quanti

cal-6
In reply to this post by cal-6
Le Mer 31 Mai 2006 19:34, cal a écrit :
> Le Mer 31 Mai 2006 18:35, Cyrille Damez a écrit :
>
> > Je n'arrive pas a faire cohabiter audacity et vlc sur la même bécane sous
> > Gentoo. Mon problème est que le premier exige une version de wxGTK compilé
> > avec USE = -unicode, et le second impose le choix contraire. Est-t'il
> > possible de faire cohabiter 2 versions d'une même lib compilée avec des
USE
> > différents ?
>
> Je ne crois pas. Mais tu peux toujours désactiver le USE flag wxwindows de
vlc
> dans /etc/portage/package.use
> Comme ça tu remplis les conditions pour audacity et tu as vlc sans le
support
> wxwindows, c'est un moindre mal.

Une autre solution, tu installes une version d'audacity >=
media-sound/audacity-1.2.3-r1
Là il n'y a plus la contrainte unicode et donc plus de problème pour vlc.

--
cal
--
[hidden email] mailing list

Reply | Threaded
Open this post in threaded view
|

Re: wxGTK, vlc, audacity et tutti quanti

Cyrille Damez
In reply to this post by Cyrille Damez
Merci à tous pour vos réponses. Je voulais juste confirmer que mon problème
est bien résolu si j'emerge wxGTK 2.4 avec -unicode et wxGTK 2.6 avec
+unicode.

--
[hidden email] mailing list